# $Revision: 1.13 $, $Date: 2005/10/23 20:53:24 $
Summary:	HBCI - HomeBanking Computer Interface
Summary(pl):	HBCI - komputerowy interfejs do HomeBankingu
Name:		openhbci
Version:	0.9.18
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://dl.sourceforge.net/openhbci/%{name}-%{version}.tar.gz
# Source0-md5:	9ac3f63674f852a3cc523de43e9b517d
Patch0:		%{name}-plugins.patch
Patch1:		%{name}-path.patch
Patch2:		%{name}-am18.patch
URL:		http://openhbci.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gwenhywfar-devel >= 1.0.0
BuildRequires:	libstdc++-devel >= 3.0.0
BuildRequires:	libtool >= 2:1.5
BuildRequires:	openssl-devel >= 0.9.7d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HBCI is a bank-independent online banking standard, developed by the
German Central Banking Committee ZKA (Zentraler Kredit-Ausschuss). It
is a publicly available specification that defines the communication
between online banking applications and the credit institutes'
servers. In Germany, roughly half of all banks offer online banking
through HBCI, which are approximately 2000 banks.

%description -l pl
HBCI (HomeBanking Computer Interface) to niezaleny od banku standard
przeprowadzania operacji bankowych online, rozwijany przez niemiecki
centralny komitet bankowy ZKA (Zentraler Kredit-Ausschuss). Jest to
publicznie dostpna specyfikacja definiujca komunikacj pomidzy
aplikacjami bankowymi dziaajcymi online i serwerami instytucji
kredytowych. W Niemczech z grubsza poowa (okoo 2000) wszystkich
bankw oferuje operacje online poprzez HBCI.

%package devel
Summary:	HBCI - HomeBanking Computer Interface - development files
Summary(pl):	Pliki programistyczne do interfejsu HBCI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gwenhywfar-devel >= 1.0.0
Requires:	libstdc++-devel >= 3.0.0
Requires:	openssl-devel >= 0.9.7d

%description devel
Development files for HBCI - HomeBanking Computer Interface.

%description devel -l pl
Pliki programistyczne dla HBCI - komputerowego interfejsu do
HomeBankingu.

%package static
Summary:	HBCI - HomeBanking Computer Interface - static libraries
Summary(pl):	Statyczne biblioteki HBCI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraries for HBCI - HomeBanking Computer Interface.

%description static -l pl
Statyczne biblioteki HBCI - komputerowego interfejsu do HomeBankingu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-openssl-libs=%{_libdir} \
	--with-plugin-path=%{_libdir}/%{name}/plugins
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/openhbci/plugins/*/media/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_libdir}/libopenhbci.so.*.*.*
%dir %{_libdir}/openhbci
%dir %{_libdir}/openhbci/plugins
%dir %{_libdir}/openhbci/plugins/*
%dir %{_libdir}/openhbci/plugins/*/media
%attr(755,root,root) %{_libdir}/openhbci/plugins/*/media/rdhfile.so*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/openhbci-config
%attr(755,root,root) %{_libdir}/libopenhbci.so
%{_libdir}/libopenhbci.la
%{_includedir}/openhbci.h
%{_includedir}/openhbci
%{_aclocaldir}/openhbci.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libopenhbci.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openhbci.spec,v $
Revision 1.13  2005/10/23 20:53:24  qboosh
- updated to 0.9.18 (final release; introduces some forward compat with openhbci2/aqbanking)

Revision 1.12  2005/03/27 20:51:37  qboosh
- added am18 patch (proper quotation in openhbci.m4); release 2

Revision 1.11  2005/03/27 14:41:40  qboosh
- updated to 0.9.17, added plugins,path patches, -devel deps, revised files

Revision 1.10  2004/08/17 23:10:17  undefine
- release 3

Revision 1.9  2004/08/17 22:36:16  undefine
- specify path to plugins in %{_libdir}

Revision 1.8  2004/08/17 22:28:33  undefine
- BR: libstdc++-devel

Revision 1.7  2004/08/17 22:03:42  undefine
- specify location openssl libraries - should help on amd64

Revision 1.6  2004/08/17 20:27:35  blues
- release 2

Revision 1.5  2004/08/17 20:25:51  blues
- release 1 (for RA)

Revision 1.4  2004/03/19 23:46:31  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.3  2004/01/29 20:48:23  eothane
- updated to 0.9.14

Revision 1.2  2003/10/21 19:36:50  qboosh
- pl, unifications

Revision 1.1  2003/10/14 14:42:42  adasi
 - HBCI - HomeBanking Computer Interface. Initial rev.
 - TODO - pl descriptions
